### Constructor

# GtkSource Tag new

#### Declaration [src]

    GtkTextTag*
    gtk_source_tag_new (
      const gchar* name
    )

#### Description [src]

Creates a `GtkSourceTag`.

Configure the tag using object arguments, i.e. using `g_object_set()`.

For usual cases, `gtk_source_buffer_create_source_tag()` is more convenient to use.

#### Parameters

`name`

  Type: `const gchar*`

  Tag name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkTextTag`

A new `GtkSourceTag`.

The caller of the function takes ownership of the data, and is responsible for freeing it.